[android-components](../../index.md) / [mozilla.components.service.fretboard](../index.md) / [Fretboard](index.md) / [getExperiment](./get-experiment.md)

# getExperiment

`fun getExperiment(descriptor: `[`ExperimentDescriptor`](../-experiment-descriptor/index.md)`): `[`Experiment`](../-experiment/index.md)`?` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/fretboard/src/main/java/mozilla/components/service/fretboard/Fretboard.kt#L95)

Gets the metadata associated with the specified experiment, even if the user is not part of it

### Parameters

`descriptor` - descriptor of the experiment

**Return**
metadata associated with the experiment

